using UnityEngine;
using UnityEngine.AI;

public static class PathAgentHandler {
  public static void UpdatePositionIso(NavMeshAgent agent, Transform transform) {
    if (agent.hasPath) {
      Vector3 desired = agent.desiredVelocity;
      Vector3 corrected = new Vector3(desired.x, desired.y * 0.5f, desired.z);
      transform.position += corrected * Time.deltaTime;
    }
    agent.nextPosition = transform.position;
  }
}
